Listar ordens de pagamento
curl --request GET \
--url https://api.malga.io/v1/payouts/orders \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/payouts/orders"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/payouts/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "0f3d5b1a-7c89-4f23-9bd6-aabbccddeeff",
"chargeId": "1c1e6a87-44ab-44d9-9311-9876543210ab",
"amount": 9700,
"grossAmount": 10000,
"totalFeeAmount": 300,
"currency": "BRL",
"installment": 1,
"totalInstallments": 1,
"paymentMethod": "credit",
"type": "capture",
"paymentArrangement": "VCC",
"paymentScheduledAt": "2026-04-28",
"paymentBatchId": "9b1a3a3e-2f87-4b2f-ae59-1234567890ab",
"createdAt": "2026-04-20T15:30:00.000Z",
"updatedAt": "2026-04-20T15:30:00.000Z"
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Payouts
Listar ordens de pagamento
Lista paginada das ordens de pagamento da nossa subadquirente.
GET
/
v1
/
payouts
/
orders
Listar ordens de pagamento
Query Parameters
Quantidade de itens por página (máx. 100)
Available options:
asc, desc Data inicial em RFC 3339 (ex. 2026-04-01T00:00:00Z)
Data final em RFC 3339 (ex. 2026-04-30T23:59:59Z)
Filtra ordens de pagamento por cobrança específica
Was this page helpful?
⌘I